Categories:
  - Multimedia
  - Graphics
License: GPL-3.0-only
AuthorName: AlienPants
AuthorEmail: cro@alienpants.com
SourceCode: https://github.com/apcro/leafpicrevived
IssueTracker: https://github.com/apcro/leafpicrevived/issues
Changelog: https://github.com/apcro/leafpicrevived/blob/HEAD/CHANGELOG.md

AutoName: LeafPic Revived
Description: |4-

    Advanced replacement for the default image gallery.

    ''LeafPic Revived'' is a fluid, material-designed alternative gallery. It
    doesn’t miss any of the main features of a stock gallery, and we also have
    plans to add more useful features.

    --

    NOTE: The original LeafPic is abandonded:
    https://gitlab.com/HoraApps/LeafPic/issues/605#note_155379129 This is a copy
    of the GitLab source code, updated to AndroidX, with some elements removed.

RepoType: git
Repo: https://github.com/apcro/leafpicrevived

Builds:
  - versionName: v0.8.1
    versionCode: 19
    commit: ed9b5f20a3e0faf7066aa49db452cffd73f1ad7c
    subdir: leafpicrevived
    gradle:
      - yes
    prebuild:
      - sed -i -e '/keystoreProperties/d' build.gradle
      - sed -i -e '/dasar/d' build.gradle
      - sed -i -e 's/uz.shift:colorpicker:0.5@aar/com.github.DASAR:ShiftColorPicker:v0.5@aar/'
        build.gradle

  - versionName: v0.8.2
    versionCode: 20
    commit: c7b35e60bc97a4f83869fc6ab15e73f3f089cb59
    subdir: leafpicrevived
    gradle:
      - yes
    prebuild:
      - sed -i -e '/keystoreProperties/d' build.gradle
      - sed -i -e '/dasar/d' build.gradle
      - sed -i -e 's/uz.shift:colorpicker:0.5@aar/com.github.DASAR:ShiftColorPicker:v0.5@aar/'
        build.gradle

  - versionName: v0.8.7
    versionCode: 24
    commit: v0.8.7
    subdir: leafpicrevived
    gradle:
      - yes
    prebuild: sed -i -e '/keystoreProperties/d' build.gradle
    ndk: r21e

AutoUpdateMode: Version %v
UpdateCheckMode: Tags
CurrentVersion: v0.8.7
CurrentVersionCode: 24
